SPC Bootstrap

SPC Bootstrap is a tool for updating the firmware in an SPC panel. It is compatible with the SPC7, SPC6 and SPC4 panels.

The "About" button displays information about this program.

The "Help" button displays this help file.

The "Exit" button closes this program.

To Update the firmware follow this link.


Updating firmware

To update the firmware in a SPC panel the PC will need to be connected to the SPC panel via a RS232 serial port and the SPC panel powered up.

Connections

Function PC 9 pin D-type SPC screw terminal

Transmit (TX) Pin 2 TX

Receive (RX) Pin 3 RX

Ground Pin 5 COM

(The pin numbers are moulded into all D-type connectors next to the physical pin)

To load a firmware (.SPF) file click the "Load" button and select the appropriate file. A SPC firmware (.SPF) file can also be loaded by double clicking the file in the windows explorer. The frame at the top of the window will then display the filename, target SPC panel type and firmware version of the file.

The program will then start searching Comm Ports 1 to 16 concurrently for SPC panels. On completion the window will report the status of all Comm Ports and any SPC that were connected to the PC.

The PC needs to search each port at every possible baud rate/parity setting, this can take a significant time. If you wish to stop the search because the panel you searching for has been found just click "Stop Finding".

If the panel you're trying to connect to is not displayed check its' serial connection and power supply then click "Find SPC's". If the panel still cannot be found and all connection are correct try using the emergency recovery system.

If any SPC panels of the correct type for the current configuration the window will display.

To download the firmware just click on the label of the SPC panel you wish to configure. The window will then display the download progress.

On completion the PC will display

Click on "OK" to finish. This will cause the SPC panel to reset.

If the SPC panel becomes disconnected during the update or its' power fails, the panel will not operate properly or identify itself to either this program or the SPC editor. To recover this follow the instructions for emergency recovery .


Emergency recovery

Emergency recovery should only be needed if the power fails or the SPC serial lead becomes disconnected during a firmware update. If this occurs the SPC panel will only contain the recovery bootstrap, it will not identify the type of panel therefore it is essential that the user ensures that the correct firmware file is loaded for the type of SPC panel connected.

To start emergency recovery ensure the SPC panel is powered up and the serial lead is connected to the PC.

Then click "Emergency Search" button, a warning window will then be displayed.

If you are sure you wish to do a emergency recovery click "Continue" otherwise click Cancel.

The program will then start to search for SPC's that only contain emergency firmware, the program will not locate any panels that are running normal firmware.

Once complete the program will display all SPC panel that are running emergency firmware.

Click on the label of the SPC panel you wish to recover. The program will then link to that panel.

Then it will download the firmware.

Once complete the program will start a normal search for SPC panel, if the panel has been correctly updated it will be displayed as normal


About window

Displays information about this program.

The window also includes web page and email links to Ikon AVS Ltd.

Click "Close" to close this window.


License Agreement

These Terms apply to any of the software developed by Ikon AVS Ltd.

BY DOWNLOADING AND/OR USING SOFTWARE FROM IKON AVS, THE INDIVIDUAL OR ENTITY LICENSING THE PRODUCT ("LICENSEE") IS CONSENTING TO BE BOUND BY AND IS BECOMING A PARTY TO THIS AGREEMENT. IF LICENSEE DOES NOT AGREE TO ALL OF THE TERMS OF THIS AGREEMENT, THE LICENSEE MUST NOT INSTALL OR USE ANY OF THE SOFTWARE DEVELOPED BY IKON AVS LTD.

LICENSE TERMS

Ikon AVS hereby grants the Licensee and the Licensee accepts a nonexclusive, non-transferrable license to use the Software provided by Ikon AVS.

The Software is designed as a software development and customisation tool. As such Ikon AVS cannot and does not guarantee any results of use of the Software or that the Software will operate error free and the Licensee acknowledges that any development that they perform using the Software or Host Application is done entirely at their own risk.

The Software is licensed and not sold. Ikon AVS retains ownership of the Software and all copies of the Software and reserves all rights not expressly granted in writing.

OTHER LIMITATIONS

Except as otherwise expressly permitted in this Agreement, or in another Ikon AVS agreement to which Licensee is a party such as a distribution agreement, Licensee may not: (i) decompile, disassemble, reverse engineer, or otherwise attempt to derive the source code for the Product (except to the extent applicable laws specifically prohibit such restriction); (ii) redistribute, encumber, sell, rent, lease, sublicense, or otherwise transfer rights to the Product; (iii) remove or alter any trademark, logo, copyright or other proprietary notices, legends, symbols or labels in the Product.

TERMINATION

Without prejudice to any other rights, Ikon AVS may terminate this Agreement immediately upon notice if the Licensee fail to comply with the terms and conditions of this Agreement. In such event, you must destroy all copies of the Software and all of its component parts.

PROPRIETARY RIGHTS

Title, ownership rights, and intellectual property rights in the Product shall remain in Ikon AVS Ltd. Licensee acknowledges such ownership and intellectual property rights and will not take any action to jeopardise, limit or interfere in any manner with Ikon AVS' ownership of or rights with respect to the Product. The Product is protected by copyright and other intellectual property laws and by international treaties. Title and related rights in the content accessed through the Product is the property of the applicable content owner and is protected by applicable law. The License granted under this Agreement gives Licensee no rights to such content.

IKON AVS LIMITED WARRANTY

The product is provided free of charge, and, therefore, on an "as is" basis, without warranty of any kind, including without limitation the warranties that it is free of defects, merchantable, fit for a particular purpose or non-infringing. The entire risk as to the quality and performance of the product is borne by licensee. Should the product prove defective in any respect, licensee and not Ikon AVS or its suppliers assumes the entire cost of any service and repair. This disclaimer of warranty constitutes an essential part of this agreement. No use of the product is authorised hereunder except under this disclaimer